org.wildfly.swarm.config

## Class ManagementCoreService<T extends ManagementCoreService<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.ManagementCoreService<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ManagementCoreService<T extends ManagementCoreService<T>>
      extends HashMap

  The management services used to control a server or a host's host controller.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ManagementCoreService.ManagementCoreServiceResources` Child mutators for ManagementCoreService

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManagementCoreService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `auditAccess()` The management audit logging top-level resource.
    `T` | `auditAccess(AuditAccess value)` The management audit logging top-level resource.
    `T` | `auditAccess(AuditAccessConsumer consumer)` The management audit logging top-level resource.
    `T` | `auditAccess(AuditAccessSupplier supplier)` The management audit logging top-level resource.
    `T` | `authorizationAccess()` The access control definitions defining the access management restrictions.
    `T` | `authorizationAccess(AuthorizationAccess value)` The access control definitions defining the access management restrictions.
    `T` | `authorizationAccess(AuthorizationAccessConsumer consumer)` The access control definitions defining the access management restrictions.
    `T` | `authorizationAccess(AuthorizationAccessSupplier supplier)` The access control definitions defining the access management restrictions.
    `T` | `configurationChangesService()` Service to store and list configuration changes.
    `T` | `configurationChangesService(ConfigurationChangesService value)` Service to store and list configuration changes.
    `T` | `configurationChangesService(ConfigurationChangesServiceConsumer consumer)` Service to store and list configuration changes.
    `T` | `configurationChangesService(ConfigurationChangesServiceSupplier supplier)` Service to store and list configuration changes.
    `String` | `getKey()`
    `T` | `httpInterfaceManagementInterface()` Configuration of the server's HTTP management interface
    `T` | `httpInterfaceManagementInterface(HTTPInterfaceManagementInterface value)` Configuration of the server's HTTP management interface
    `T` | `httpInterfaceManagementInterface(HTTPInterfaceManagementInterfaceConsumer consumer)` Configuration of the server's HTTP management interface
    `T` | `httpInterfaceManagementInterface(HTTPInterfaceManagementInterfaceSupplier supplier)` Configuration of the server's HTTP management interface
    `T` | `ldapConnection(LdapConnection value)` Add the LdapConnection object to the list of subresources
    `T` | `ldapConnection(LdapConnectionSupplier supplier)` Install a supplied LdapConnection object to the list of subresources
    `T` | `ldapConnection(String childKey)` Create and configure a LdapConnection object to the list of subresources
    `T` | `ldapConnection(String childKey, LdapConnectionConsumer consumer)` Create and configure a LdapConnection object to the list of subresources
    `T` | `ldapConnections(List<LdapConnection> value)` Add all LdapConnection objects to this subresource
    `T` | `managementOperationsService()` Execution of management operations.
    `T` | `managementOperationsService(ManagementOperationsService value)` Execution of management operations.
    `T` | `managementOperationsService(ManagementOperationsServiceConsumer consumer)` Execution of management operations.
    `T` | `managementOperationsService(ManagementOperationsServiceSupplier supplier)` Execution of management operations.
    `T` | `nativeInterfaceManagementInterface()` Configuration of the server's native management interface
    `T` | `nativeInterfaceManagementInterface(NativeInterfaceManagementInterface value)` Configuration of the server's native management interface
    `T` | `nativeInterfaceManagementInterface(NativeInterfaceManagementInterfaceConsumer consumer)` Configuration of the server's native management interface
    `T` | `nativeInterfaceManagementInterface(NativeInterfaceManagementInterfaceSupplier supplier)` Configuration of the server's native management interface
    `T` | `nativeRemotingInterfaceManagementInterface()` Configuration of the server's native management interface using a connector from the remoting subsystem.
    `T` | `nativeRemotingInterfaceManagementInterface(NativeRemotingInterfaceManagementInterface value)` Configuration of the server's native management interface using a connector from the remoting subsystem.
    `T` | `nativeRemotingInterfaceManagementInterface(NativeRemotingInterfaceManagementInterfaceConsumer consumer)` Configuration of the server's native management interface using a connector from the remoting subsystem.
    `T` | `nativeRemotingInterfaceManagementInterface(NativeRemotingInterfaceManagementInterfaceSupplier supplier)` Configuration of the server's native management interface using a connector from the remoting subsystem.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `securityRealm(SecurityRealm value)` Add the SecurityRealm object to the list of subresources
    `T` | `securityRealm(SecurityRealmSupplier supplier)` Install a supplied SecurityRealm object to the list of subresources
    `T` | `securityRealm(String childKey)` Create and configure a SecurityRealm object to the list of subresources
    `T` | `securityRealm(String childKey, SecurityRealmConsumer consumer)` Create and configure a SecurityRealm object to the list of subresources
    `T` | `securityRealms(List<SecurityRealm> value)` Add all SecurityRealm objects to this subresource
    `ManagementCoreService.ManagementCoreServiceResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ManagementCoreService

          public ManagementCoreService()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ManagementCoreService.ManagementCoreServiceResources subresources()

    - #### securityRealms

          public T securityRealms(List<SecurityRealm> value)

      Add all SecurityRealm objects to this subresource
      Parameters:
        `value` - List of SecurityRealm objects.
      Returns:
        this

    - #### securityRealm

          public T securityRealm(SecurityRealm value)

      Add the SecurityRealm object to the list of subresources
      Parameters:
        `value` - The SecurityRealm to add
      Returns:
        this

    - #### securityRealm

          public T securityRealm(String childKey,
                                 SecurityRealmConsumer consumer)

      Create and configure a SecurityRealm object to the list of subresources
      Parameters:
        `key` - The key for the SecurityRealm resource
        `config` - The SecurityRealmConsumer to use
      Returns:
        this

    - #### securityRealm

          public T securityRealm(String childKey)

      Create and configure a SecurityRealm object to the list of subresources
      Parameters:
        `key` - The key for the SecurityRealm resource
      Returns:
        this

    - #### securityRealm

          public T securityRealm(SecurityRealmSupplier supplier)

      Install a supplied SecurityRealm object to the list of subresources

    - #### ldapConnections

          public T ldapConnections(List<LdapConnection> value)

      Add all LdapConnection objects to this subresource
      Parameters:
        `value` - List of LdapConnection objects.
      Returns:
        this

    - #### ldapConnection

          public T ldapConnection(LdapConnection value)

      Add the LdapConnection object to the list of subresources
      Parameters:
        `value` - The LdapConnection to add
      Returns:
        this

    - #### ldapConnection

          public T ldapConnection(String childKey,
                                  LdapConnectionConsumer consumer)

      Create and configure a LdapConnection object to the list of subresources
      Parameters:
        `key` - The key for the LdapConnection resource
        `config` - The LdapConnectionConsumer to use
      Returns:
        this

    - #### ldapConnection

          public T ldapConnection(String childKey)

      Create and configure a LdapConnection object to the list of subresources
      Parameters:
        `key` - The key for the LdapConnection resource
      Returns:
        this

    - #### ldapConnection

          public T ldapConnection(LdapConnectionSupplier supplier)

      Install a supplied LdapConnection object to the list of subresources

    - #### nativeRemotingInterfaceManagementInterface

          public T nativeRemotingInterfaceManagementInterface(NativeRemotingInterfaceManagementInterface value)

      Configuration of the server's native management interface using a connector from the remoting subsystem.

    - #### nativeRemotingInterfaceManagementInterface

          public T nativeRemotingInterfaceManagementInterface(NativeRemotingInterfaceManagementInterfaceConsumer consumer)

      Configuration of the server's native management interface using a connector from the remoting subsystem.

    - #### nativeRemotingInterfaceManagementInterface

          public T nativeRemotingInterfaceManagementInterface()

      Configuration of the server's native management interface using a connector from the remoting subsystem.

    - #### nativeRemotingInterfaceManagementInterface

          public T nativeRemotingInterfaceManagementInterface(NativeRemotingInterfaceManagementInterfaceSupplier supplier)

      Configuration of the server's native management interface using a connector from the remoting subsystem.

    - #### auditAccess

          public T auditAccess(AuditAccess value)

      The management audit logging top-level resource.

    - #### auditAccess

          public T auditAccess(AuditAccessConsumer consumer)

      The management audit logging top-level resource.

    - #### auditAccess

          public T auditAccess()

      The management audit logging top-level resource.

    - #### auditAccess

          public T auditAccess(AuditAccessSupplier supplier)

      The management audit logging top-level resource.

    - #### nativeInterfaceManagementInterface

          public T nativeInterfaceManagementInterface(NativeInterfaceManagementInterface value)

      Configuration of the server's native management interface

    - #### nativeInterfaceManagementInterface

          public T nativeInterfaceManagementInterface(NativeInterfaceManagementInterfaceConsumer consumer)

      Configuration of the server's native management interface

    - #### nativeInterfaceManagementInterface

          public T nativeInterfaceManagementInterface()

      Configuration of the server's native management interface

    - #### nativeInterfaceManagementInterface

          public T nativeInterfaceManagementInterface(NativeInterfaceManagementInterfaceSupplier supplier)

      Configuration of the server's native management interface

    - #### managementOperationsService

          public T managementOperationsService(ManagementOperationsService value)

      Execution of management operations.

    - #### managementOperationsService

          public T managementOperationsService(ManagementOperationsServiceConsumer consumer)

      Execution of management operations.

    - #### managementOperationsService

          public T managementOperationsService()

      Execution of management operations.

    - #### managementOperationsService

          public T managementOperationsService(ManagementOperationsServiceSupplier supplier)

      Execution of management operations.

    - #### configurationChangesService

          public T configurationChangesService(ConfigurationChangesService value)

      Service to store and list configuration changes.

    - #### configurationChangesService

          public T configurationChangesService(ConfigurationChangesServiceConsumer consumer)

      Service to store and list configuration changes.

    - #### configurationChangesService

          public T configurationChangesService()

      Service to store and list configuration changes.

    - #### configurationChangesService

          public T configurationChangesService(ConfigurationChangesServiceSupplier supplier)

      Service to store and list configuration changes.

    - #### httpInterfaceManagementInterface

          public T httpInterfaceManagementInterface(HTTPInterfaceManagementInterface value)

      Configuration of the server's HTTP management interface

    - #### httpInterfaceManagementInterface

          public T httpInterfaceManagementInterface(HTTPInterfaceManagementInterfaceConsumer consumer)

      Configuration of the server's HTTP management interface

    - #### httpInterfaceManagementInterface

          public T httpInterfaceManagementInterface()

      Configuration of the server's HTTP management interface

    - #### httpInterfaceManagementInterface

          public T httpInterfaceManagementInterface(HTTPInterfaceManagementInterfaceSupplier supplier)

      Configuration of the server's HTTP management interface

    - #### authorizationAccess

          public T authorizationAccess(AuthorizationAccess value)

      The access control definitions defining the access management restrictions.

    - #### authorizationAccess

          public T authorizationAccess(AuthorizationAccessConsumer consumer)

      The access control definitions defining the access management restrictions.

    - #### authorizationAccess

          public T authorizationAccess()

      The access control definitions defining the access management restrictions.

    - #### authorizationAccess

          public T authorizationAccess(AuthorizationAccessSupplier supplier)

      The access control definitions defining the access management restrictions.

Copyright © 2017 JBoss by Red Hat. All rights reserved.